'##############################################################################
' Eeprom.BAS:                                                  Stand 28.12.2007
' -----------                                                  (C) Markus Fulde
' Testprogramm zur Inbetriebnahme des EEPROM ST24C512 mit I2C Bus ber
' das TWI Interface des ATmega.
' Die Inbetriebnahme erfolgt mit dem Eva-Board STK500 + STK501
' Die fr Ansteuerung des EEPROM notwendigen Rotuinen (Init, Read, Write)
' sind als solche gekennzeichnet und bereits zur spteren Verwendung
' ausgelagert.
'##############################################################################


'------------------------------------------------------------------------------
' Compilerinstruktionen und Compilerdirektiven
'------------------------------------------------------------------------------
$regfile = "m1284pdef.dat"
$crystal = 16000000
$hwstack = 32
$swstack = 32
$framesize = 40

'$baud = 38400
$baud = 9600

'*******************************************************************************
'  Config Watchdog
'*******************************************************************************
Config Watchdog = 2048                                      'reset after 2048 mSec
   Start Watchdog
   Reset Watchdog
'**************
Print "Prozessor startet"

Dim I As Integer

For I = 10 To 1 Step -1
   Print I
   Waitms 100
Next I

Print "Jetzt wird gebootet"
Print "___________________"

Wait 10

End